package it.integry.integrywmsnative.gest.spedizione.model;

import java.util.List;

import it.integry.integrywmsnative.core.model.DtbOrdt;

public class PrintOrderCloseDTO {
    private boolean flagPrintPackingList = false;
    private boolean flagPrintSSCC = false;
    private boolean flagSkipPrintedSSCC = true;
    private List<DtbOrdt> printList;

    public boolean isFlagPrintPackingList() {
        return flagPrintPackingList;
    }

    public PrintOrderCloseDTO setFlagPrintPackingList(boolean flagPrintPackingList) {
        this.flagPrintPackingList = flagPrintPackingList;
        return this;
    }

    public boolean isFlagPrintSSCC() {
        return flagPrintSSCC;
    }

    public PrintOrderCloseDTO setFlagPrintSSCC(boolean flagPrintSSCC) {
        this.flagPrintSSCC = flagPrintSSCC;
        return this;
    }

    public boolean isFlagSkipPrintedSSCC() {
        return flagSkipPrintedSSCC;
    }

    public PrintOrderCloseDTO setFlagSkipPrintedSSCC(boolean flagSkipPrintedSSCC) {
        this.flagSkipPrintedSSCC = flagSkipPrintedSSCC;
        return this;
    }

    public List<DtbOrdt> getPrintList() {
        return printList;
    }

    public PrintOrderCloseDTO setPrintList(List<DtbOrdt> printList) {
        this.printList = printList;
        return this;
    }
}
